Bug 103084 - DRI on an mga450 hangs the system
DRI on an mga450 hangs the system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-26 10:50 EDT by Enrico Scholz
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XFree86.0.log (37.34 KB, text/plain)
2003-08-26 10:54 EDT, Enrico Scholz
no flags Details
XF86Config-4 (3.37 KB, text/plain)
2003-08-26 10:56 EDT, Enrico Scholz
no flags Details
lspci -v (4.04 KB, text/plain)
2003-08-26 10:57 EDT, Enrico Scholz
no flags Details
lsmod (2.30 KB, text/plain)
2003-08-26 11:00 EDT, Enrico Scholz
no flags Details
XFree86.0.log (official) (46.74 KB, text/plain)
2003-08-26 12:23 EDT, Enrico Scholz
no flags Details
/var/log/messages (14.01 KB, text/plain)
2003-08-26 12:24 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2003-08-26 10:50:51 EDT
Description of problem:

When calling 'glxgears', the entire system hangs before the first pixel is drawn.

(dup of bug #71126, but since it worked for a certain time with a plain RHL
installation (but never with vanilla kernels), it is a little bit difficultly
here to use RHL-kernels and because I do not need DRI, I have ignored it until now)


Version-Release number of selected component (if applicable):

- XFree86-4.3.0-17 (but goes back till XFree86-4.2.0-57.1 at least)
- (nearly-)vanilla 2.4.19-2.4.22 kernels &
   kernel-2.4.21-20.1.2024.2.1.nptl.i686 from Severn/rawhide


How reproducible:

100%


Steps to Reproduce:
1. call 'glxgears'

    
Actual results:

mouse, keyboard and network are non-reacting
Comment 1 Enrico Scholz 2003-08-26 10:54:24 EDT
Created attachment 93943 [details]
XFree86.0.log

Perhaps the 

| (II) MGA(0): [drm] failure adding irq handler, there is a device already
using that irq
| [drm] falling back to irq-free operation

messages are indicating the broken part, but IRQ 16 which is used by the card,
is free. (The deadlocks happen with non-APIC/non-ACPI mode also, but I have not
checked for this message there).
Comment 2 Enrico Scholz 2003-08-26 10:56:32 EDT
Created attachment 93944 [details]
XF86Config-4

(with the hangups, the 'Load "dri"' line is not commented out)
Comment 3 Enrico Scholz 2003-08-26 10:57:11 EDT
Created attachment 93945 [details]
lspci -v
Comment 4 Enrico Scholz 2003-08-26 11:00:01 EDT
Created attachment 93946 [details]
lsmod

With 'Load "dri"' there are the 'mga' and 'agpgart' modules on top of the stack
also.
Comment 5 Mike A. Harris 2003-08-26 11:16:32 EDT
You're using a custom built XFree86 on top of a custom built kernel.
That is not ever supported by Red Hat.  I've read your comments that
this occurs on both Red Hat kernels and on vanilla kernels, however
it isn't clear to me if it occurs on a Red Hat compiled kernel with
a Red Hat compiled XFree86.

I'll give you the benefit of doubt however that this does occur on
stock Red Hat supplied binaries of both the kernel and XFree86, but I'd
still like to ask you to install the Red Hat kernel and XFree86 binaries
that we supply, and test the problem out with them, then attach the 
XFree86 log file from that, and the /var/log/messages as well, since this
is almost certainly kernel related, probably a bug in mga DRM.

I'll look into the problem, but showing me it occurs with our own binaries
will help accelerate that.  I've got a G450 here, but it's a bit shaky.  I'd
like to see the logs from an official run before proceeding.

TIA
Comment 6 Enrico Scholz 2003-08-26 12:23:30 EDT
Created attachment 93951 [details]
XFree86.0.log (official)
Comment 7 Enrico Scholz 2003-08-26 12:24:40 EDT
Created attachment 93952 [details]
/var/log/messages
Comment 8 Enrico Scholz 2003-08-26 12:30:05 EDT
BTW: It happens without the TV-Card also
Comment 9 Mike A. Harris 2003-10-24 14:51:08 EDT
Current XFree86 build is 4.3.0-41 in rawhide, 4.3.0-42 soon going into rawhide,
and the kernel is 2.4.22 in rawhide, going into Fedora Core 1.  both of
your X and kernel are very old.  This is the type of problem I would
suspect to be kernel related if the system hangs, so it's recommended to
upgrade to the absolute latest Rawhide everything.
Comment 10 Enrico Scholz 2003-10-26 14:58:21 EST
Reproduced the problem with

kernel-2.4.22-1.2105.nptl.i686
XFree86-4.3.0-40
Comment 11 Mike A. Harris 2004-10-01 02:18:49 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.